---
id: map-000
type: Thing
name:
  - map
  - carte
props:
  - takable
events:
  info:
    actor: "La carte du jeu"
  look:
    actor: <img src="http://82.64.66.80/map.jpg" alt="carte" />
---
id: pepite-000
type: Thing
name: pepite
props:
  - takable
  - key-for-mur-000
events:
  info:
    actor: "Une Pépite d'or"
  look:
    actor: "Cette pépite d'or semble être...</br><i>en or</i>"
---
id: mylene-000
type: Thing
name: mylene
events:
  info:
    actor: "Mylène"
  look:
    actor: "Vous observez Mylène en train de compter ses citrouilles"
  talk:
    actor: "Salut {{actor.name}} tu veux me parler de quelque chose ?"
  talk-of-smith:
    - props: =smith-000:talkSmith
      actor: |
          Oh mon dieu ! Pas smith ! Je pensais qu'il était immortel tellement il était fort.
          Je vais lui préparer de quoi le soigner !
    - props: -=smith-000:talkSmith
      actor: |
          C'est le forgeron du village, le trouve toujours dans sa forge à travailler.
---
id: smith-000
type: Thing
name: smith
events:
  info:
    actor: "Smith"
  look:
    actor: |
      Vous observez Smith, il est blessé, couvert d'une sorte de brume viollette
      des pieds au genou, comme si il avait traverser un marais violet,
      de plus des bout de pixel lui manque, ces blessure sont fréquentes
      quand on se fait attaquer par un enderman.
    effects :
      type  : ChangePropEffect
      modifs: object:talkSmith
---
id: bouton-cave-000
type: Thing
name: bouton
props:
  - pushable
events:
  info:
    actor: "Un bouton"
  look:
    actor: "C'est un bouton"
  push:
    actor: |
      Vous appuyez sur le bouton et la présence que vous sentez deviens tellement forte que vous la sentez..réelement
    observer: |
      {{actor.name}} apuie sur le bouton et la présence que vous sentez deviens tellement forte que vous la sentez..réelement
    effects:
      - type: ChangePropEffect
        modifs:
          - =bow-000:takable
          - =herobrine-000:talkable
---
id: boss-000
type: Thing
name:
  - boss
  - dragon
events:
  info:
    actor: "Le dragon"
  look:
    actor: |
      Vous observez ce grand dragon noir aux yeux violets
  fight:
    # 1er épée -> etat 1
    - props:
      - -=boss-000:fight1
      - -=boss-000:fight2
      - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:fighter
      effects:
        - type: ChangePropEffect
          modifs: =boss-000:fight1
      actor: votre epee blesse le dragon
    # 1er arc -> etat 2
    - props:
      - -=boss-000:fight1
      - -=boss-000:fight2
      - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:superfighter
      effects:
        - type: ChangePropEffect
          modifs: 
          - =boss-000:fight2
          - =boss-000:fight1
      actor: votre epee touche le  dragon
    # etat 1 + épée -> etat 2
    - props:
      - =boss-000:fight1
      - -=boss-000:fight2
      - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:fighter
      effects:
        - type: ChangePropEffect
          modifs: =boss-000:fight2
      actor: Votre epee touche sa cible
    # etat 1 + Arc -> etat 3
    - props:
      - =boss-000:fight1
      - -=boss-000:fight2
      - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:superfighter
      effects:
        - type: ChangePropEffect
          modifs: =boss-000:fight3
      actor: Votre fleche fend l'air et blesse le dragon
    # etat 2 + épée -> etat 3
    - props:
      - =boss-000:fight1
      - =boss-000:fight2
      - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:fighter
      effects:
        - type: ChangePropEffect
          modifs: =boss-000:fight3
      actor: votre epee touche son aile
    # etat 2 + arc -> etat 4
    - props:
      - =boss-000:fight1
      - =boss-000:fight2
      # - -=boss-000:fight3
      - -=boss-000:fight4
      - object2:superfighter
      effects:
        - type: ChangePropEffect
          modifs:
            - =boss-000:fight4
            - =boss-000:killable
      actor: vous pouvez l'achevez !
    #  etat 3 + épée -> etat 4
    - props:
      - =boss-000:fight1
      - =boss-000:fight2
      - =boss-000:fight3
      - -=boss-000:fight4
      - object2:fighter
      effects:
        - type: ChangePropEffect
          modifs:
            - =boss-000:fight4
            - =boss-000:killable
      actor: vous pouvez l'achevez !

    #  etat 3 + arc -> etat 4
    - props:
      - =boss-000:fight1
      - =boss-000:fight2
      - =boss-000:fight3
      - -=boss-000:fight4
      - object2:superfighter
      effects:
        - type: ChangePropEffect
          modifs:
            - =boss-000:fight4
            - =boss-000:killable
      actor: vous pouvez l'achevez !
  kill:
    - props: =boss-000:killable
      effects:
         - type: ChangePropEffect
           modifs:
             - =boss-000:dead
             - -=end-000-temple-001:closed
      actor: |
        gg
        <i>bon après joué au vrai jeu c'est bien aussi....</i>
        Des crédits sont disponible dans le jeu, à vous de les trouver


---
id: four-000
type: Thing
name: four
events:
  info:
    actor: "Un four"
  look:
    actor: "C'est un four , rien de bien spécial"
---
id: etabli-000
type: Thing
name: etabli
events:
  info:
    actor: "Un établi"
  look:
    actor: "C'est un établi , on voit qu'il a déjà servit"
---
id: entonnoir-000
type: Thing
name:
  - entonnoir
  - lavabo
events:
  info:
    actor: "Un lavabo"
  look:
    actor: "C'est un lavabo"
---
id: four-001
type: Thing
name: four
events:
  info:
    actor: "Un four"
  look:
    actor: "C'est un four , rien de bien spécial"
---
id: lit-000
type: Thing
name: lit
events:
  info:
    actor: "Un lit"
  look:
    actor: "C'est un lit , il vous attire"
---
id: coffre-maison-000
type: Thing
name: coffre
props:
  - openable
events:
  info:
    actor: "Un coffre"
  look:
    actor: "C'est un coffre , il n'est pas verrouillé"
---
id: lit-001
type: Thing
name: lit
events:
  info:
    actor: "Un lit"
  look:
    actor: "C'est un lit , il vous attire"
---
id: steve-000
type: Thing
name: steve
events:
  info:
    actor: "Steve"
  look:
    actor: "Vous observez Steve , il vous observe en retour"
  talk:
    actor: "Bonjour {{actor.name}}, j'espère que tu passe une bonne journée"
  talk-of-smith:
    - props: =smith-000:talkSmith
      actor: |
          J'espère qu'il va s'en sortir, mais ses blessures en disent long tu sais.</br>
          Les pixels qui manquent sont la preuve qu'ils à été attaqué par plusieurs enderman</br>
          en même temps. J'ai lu des théorie comme quoi il y aurait un autre monde que le nether,</br>
          il pourrait exister son "inverse" une île celeste tellement haute que personne ne peut la voir</br>
          Selon cette théorie, c'est de là que viendrait les enderman.</br>
          Il y a un vieux temple aux alentours du village, si tu y va peut être que tu trouvera quelque chose.
    - props: -=smith-000:talkSmith
      actor: |
          C'est le forgeron du village, où est-il d'ailleurs ?
---
id: citrouille-000
type: Thing
name: citrouille
events:
  info:
    actor: "Des citrouilles"
  look:
    actor: "Ce sont des citrouilles.</br><i>D'après Mylène certaine personne ont la capacité de leur parler</i>"
  talk:
    actor: |
      Salut on ma chargé d'afficher les crédits du jeu pour alors les voici:
      Les personnes s'étant cassés la tête à faire le jeu:
      <ul>
      <li> Sébastien Blanchard: Développeur,
      <li> Thomas Pinsard: Développeur, builder du monde,
      </ul>

      Remerciement aux personnes ayant donnée des idées et aux professeurs pour leur aide
---
id: endereye-000
type: Thing
name:
  - endereye
  - oeil
  - endereyes
props:
  - takable
  - key-for-portail-000
events:
  info:
    actor: "Des ender eyes"
  look:
    actor: "Ce sont des ender eyes, un objet né de la combinaison d'une poudre de blaze et d'un oeil d'enderman "
---
id: armure-000
type: Thing
name: armure
props:
  - takable
events:
  info:
    actor: "Une armure complète"
  look:
    actor: "Une armure complète en fer"
---
id: sword-000
type: Thing
gender: fem
name:
  - épée
  - sword
  - epee
props:
  - takable
  - fighter
events:
  info:
    actor: "Une épée"
  look:
    actor: "Une épée en diamant ! <i>Sur la pointe c'est..des pixels d'enderman et d'une autre créature..</i> "
---
id: bow-000
type: Thing
name:
  - arc
props:
  - superfighter
events:
  info:
    actor: "Arc noir"
  look:
    actor: |
      Cet arc est magnifique..il est en obsidienne
      <i>Une gravure indique: pour mon frère Notch</i>
---
id: herobrine-000
type: Thing
gender: fem
name:
  - présence
  - presence
  - herobrine
events:
  info:
    actor: "Présence"
  look:
    actor: On dirait un fantôme
  talk:
    - props: object:talkable
      actor: blabla
    - props: -objet:talkable
      actor: ...
---
id: torch-000
type: Thing
name:
  - torche
  - torch
props:
  - lightable
  - takable
events:
  info:
    actor:
      - props: =torch-000:light-on
        data : "Une torche allumée."
      - data : "Une torche éteinte."
  look:
    actor:
      - props: object:light-on
        data : "Une torche allumée."
      - data : "Une torche éteinte."
  light-on:
    - props : object:light-on
      actor : "La torche est déjà allumée."
    - actor : "Vous allumez votre torche."
      observer: |
        {{ actor.name }} allume sa torche.
      effects:
        - type  : ChangePropEffect
          modifs: object:light-on
  light-off:
    - props : -object:light-on
      actor : "La torch est déjà éteinte."
    - actor : "Vous éteignez votre torche."
      observer: |
        {{ actor.name }} éteind sa torche.
      effects:
        - type  : ChangePropEffect
          modifs: -object:light-on
